import os

abspath = os.path.abspath(__file__)
dname = os.path.dirname(abspath)
os.chdir(dname)

type = ["netherite","diamond","iron","golden","stone","wooden"]
tool = ["sword","pickaxe","axe","shovel","hoe"]
trim = ["linear","tracks","charge","frost","edge"]
material = ["amethyst","copper","diamond","emerald","gold","iron","lapis","netherite","quartz","redstone"]
material_name = ["amethyst_shard","copper_ingot","diamond","emerald","gold_ingot","iron_ingot","lapis_lazuli","netherite_ingot","quartz","redstone"]
color = ["#9A5CC6","#B4684D","#6EECD2","#11A036","#DEB12D","#ECECEC","#416E97","#625859","#E3D4C4","#971607"]

order = 0

for k in range(len(trim)):
        for l in range(len(material)):
            order += 1
            customdata = 311000 + order
            lines = f"""[
    {{
        "function": "minecraft:set_custom_data",
        "tag": "{{trimmed_tool:1b}}"
    }},
    {{
        "function": "minecraft:set_custom_model_data",
        "value": {customdata}
    }},
    {{
        "function": "minecraft:set_lore",
        "lore": [
            {{
                "translate": "item.tooltrims.smithing_template.upgrade",
                "italic": false,
                "color": "gray"
            }},
            {{
                "text": " ",
                "extra": [
                    {{
                        "translate": "tool_trim_pattern.tooltrims.{trim[k]}",
                        "italic": false,
                        "color": "{color[l]}"
                    }}
                ]
            }},
            {{
                "text": " ",
                "extra": [
                    {{
                        "translate": "trim_material.tooltrims.{material[l]}",
                        "italic": false,
                        "color": "{color[l]}"
                    }}
                ]
            }}
        ],
        "mode": "replace_all"
    }}
]"""

            filename = f"{trim[k]}_{material[l]}.json"

            with open(filename, "w") as file:
                file.write(lines)